@extends('layouts.app')

@section('htmlheader_title')
	SQRL Test Site
@endsection
@section('page_title')
	SQRL
@endsection

@section('contentheader_title')
	SQRL Test Site
@endsection
@section('contentheader_description')
	Login with SQRL
@endsection

@section('main-content')
	<div class="row">
		<div class="col-12 bg-white">
			<p class="text-center">
				Welcome to the SQRL test site. You can login with your SQRL client and see what we see...
			</p>
			<p class="text-center mt-5"><span>{!! ($x=\Leenooks\SQRL\SQRL::authNonce(200))['qrcode'] !!}</span></p>

			<div class="card-footer">
				<div class="alert alert-danger" role="alert" id="error_message" hidden></div>
			</div>

			@include('sqrl::login_js',$x)
		</div>
	</div>
@endsection

@section('page-scripts')
<script>
	$(document).ready(function() {
		$('body')
			.addClass('sidebar-collapse')
			.delay(500)
			.queue(function () {
				window.dispatchEvent(new Event('resize'));
				$(this).dequeue();
			});
	});
</script>
@append
